| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Members

Public Member Functions | Public Attributes | List of all members
jpeg_source_mgr Struct Reference

`#include <jpeglib.h>`

## Public Member Functions
| JMETHOD (void, init_source,(j_decompress_ptr cinfo))
| JMETHOD (boolean, fill_input_buffer,(j_decompress_ptr cinfo))
| JMETHOD (void, skip_input_data,(j_decompress_ptr cinfo, long num_bytes))
| JMETHOD (boolean, resync_to_restart,(j_decompress_ptr cinfo, int desired))
| JMETHOD (void, term_source,(j_decompress_ptr cinfo))

## Public Attributes
const JOCTET * | next_input_byte
size_t | bytes_in_buffer

## Detailed Description

Definition at line 725 of file jpeglib.h.

## Member Function Documentation

jpeg_source_mgr::JMETHOD | ( | void | ,
|  | init_source | ,
|  | (j_decompress_ptr cinfo) |
| ) |  |

jpeg_source_mgr::JMETHOD | ( | boolean | ,
|  | fill_input_buffer | ,
|  | (j_decompress_ptr cinfo) |
| ) |  |

jpeg_source_mgr::JMETHOD | ( | void | ,
|  | skip_input_data | ,
|  | (j_decompress_ptr cinfo, long num_bytes) |
| ) |  |

jpeg_source_mgr::JMETHOD | ( | boolean | ,
|  | resync_to_restart | ,
|  | (j_decompress_ptr cinfo, int desired) |
| ) |  |

jpeg_source_mgr::JMETHOD | ( | void | ,
|  | term_source | ,
|  | (j_decompress_ptr cinfo) |
| ) |  |

## Member Data Documentation

size_t jpeg_source_mgr::bytes_in_buffer

Definition at line 727 of file jpeglib.h.

const JOCTET* jpeg_source_mgr::next_input_byte

Definition at line 726 of file jpeglib.h.

The documentation for this struct was generated from the following file:

- /usr/local/bsoft/jpeg/jpeglib.h